<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortShieldL293d.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortShieldL293d_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortShieldL293d.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __PortShieldL293d_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __PortShieldL293d_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#if !defined(__AVR_ATmega32U4__)</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#if defined VISUALSTUDIO</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;AFMotor.h&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;AFMotor.hpp&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;Port.hpp&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define SHIELDL293D_PORT_M1         1</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define SHIELDL293D_PORT_M2         2</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define SHIELDL293D_PORT_M3         3</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define SHIELDL293D_PORT_M4         4</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define SHIELDL293D_SERVO1_PIN      10</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define SHIELDL293D_SERVO2_PIN      9</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPortShieldL293d.html">PortShieldL293d</a> : <span class="keyword">public</span> <a class="code" href="classPort.html">Port</a></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;{</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">   31</a></span>&#160;        AF_DCMotor *<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <a class="code" href="classPortShieldL293d.html#a6ec767de5bb868a01750b9d1a6d14955">PortShieldL293d</a>();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        </div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> inOutPort, uint8_t inSpeed, uint8_t inFreq);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        </div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortShieldL293d.html#ad40ad4a8cc43e383b7b5d8cb1813b2ea">SetSpeed</a>(uint8_t inSpeed);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        </div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortShieldL293d.html#a7c231e381f75d1a84e0673f3d6977d9e">MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortShieldL293d.html#a29b413302c9e902382445bad17651ec3">MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortShieldL293d.html#aba96b3fbfe12540c2c99a4a59cbac895">MoveStop</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> printedOutPort;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        uint8_t printedSpeed;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;};</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPortShieldL293d_html_aba96b3fbfe12540c2c99a4a59cbac895"><div class="ttname"><a href="classPortShieldL293d.html#aba96b3fbfe12540c2c99a4a59cbac895">PortShieldL293d::MoveStop</a></div><div class="ttdeci">void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00085">PortShieldL293d.cpp:85</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a29b413302c9e902382445bad17651ec3"><div class="ttname"><a href="classPortShieldL293d.html#a29b413302c9e902382445bad17651ec3">PortShieldL293d::MoveRightDir</a></div><div class="ttdeci">void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00061">PortShieldL293d.cpp:61</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a7c231e381f75d1a84e0673f3d6977d9e"><div class="ttname"><a href="classPortShieldL293d.html#a7c231e381f75d1a84e0673f3d6977d9e">PortShieldL293d::MoveLeftDir</a></div><div class="ttdeci">void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00038">PortShieldL293d.cpp:38</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_ad40ad4a8cc43e383b7b5d8cb1813b2ea"><div class="ttname"><a href="classPortShieldL293d.html#ad40ad4a8cc43e383b7b5d8cb1813b2ea">PortShieldL293d::SetSpeed</a></div><div class="ttdeci">int SetSpeed(uint8_t inSpeed)</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00031">PortShieldL293d.cpp:31</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a6ec767de5bb868a01750b9d1a6d14955"><div class="ttname"><a href="classPortShieldL293d.html#a6ec767de5bb868a01750b9d1a6d14955">PortShieldL293d::PortShieldL293d</a></div><div class="ttdeci">PortShieldL293d()</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00013">PortShieldL293d.cpp:13</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a1b3c5af1fe94b446db4cfa3a385b1f9a"><div class="ttname"><a href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">PortShieldL293d::pmotor</a></div><div class="ttdeci">AF_DCMotor * pmotor</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8hpp_source.html#l00031">PortShieldL293d.hpp:31</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortShieldL293d_html"><div class="ttname"><a href="classPortShieldL293d.html">PortShieldL293d</a></div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8hpp_source.html#l00027">PortShieldL293d.hpp:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortShieldL293d.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
